function bgpstore(DoPrint)
% Show path of several variables over iterations of og1bgp
% Mainly a debugging device.
% ---------------------------------------

% AUTHOR: Lutz Hendricks, 1993
% ---------------------------------------

% *** CONSTANTS ***

    if nargin < 1
        DoPrint = 0;
    end

    % Which variables are stored and plotted?
    case = 3;

% **********  LOAD  ********************
    X = load2('c:\matlab\bgptmp');
    N = rows(X);

if 0
    dist        = X(:,1);
    Kdist       = X(:,2);
    polDist     = X(:,3);
    bequDist    = X(:,4);

    B1    = X(:,5);
    BT    = X(:,6);

    hT    = X(:,7);
    pol   = X(:,8);

    Lambda = X(:,9);

elseif case == 2
    dist        = X(:,1);
    Kdist       = X(:,2);
    polDist     = X(:,3);
    hT   = X(:,4);
    Pol  = X(:,5);
    c1   = X(:,6);
    w    = X(:,7);
    r    = X(:,8);
    Tr   = X(:,9);
    hAvg1 = X(:,10);
    hAvgT = X(:,11);

elseif case == 3        % Bequest problem
    hT      = X(:,1);
    Pol     = X(:,2);
    c1      = X(:,3);
    w       = X(:,4);
    r       = X(:,5);
    Tr      = X(:,6);
    hAvg1   = X(:,7);
    hAvgT   = X(:,8);
    BT      = X(:,9);
    B1      = X(:,10);
    Lambda  = X(:,11);
    VPrime  = X(:,12);

elseif case == 4        % Investment in h1
    hT      = X(:,1);
    Pol     = X(:,2);
    c1      = X(:,3);
    w       = X(:,4);
    r       = X(:,5);
    Tr      = X(:,6);
    hAvg1   = X(:,7);
    hAvgT   = X(:,8);
    valAbil = X(:,9);
    phi0    = X(:,10);
    h1      = X(:,11);

else
    abort('Invalid case')
end


% *********  GRAPH  *********************

    iterV = 1:N;


if case == 4
    subplot(2,2,1);
    plot( iterV, [hT, hAvg1, h1] );
    title('hT, hAvg(1), h1')

    subplot(2,2,2);
    plot( iterV, [phi0, valAbil]);
    title('phi0, valAbil')

    subplot(2,2,3);
    plot( iterV, [c1, Tr] );
    title('c1, Tr');

    subplot(2,2,4);
    plot( iterV, [w, r] );
    title('w, r');
end

if case == 3
    subplot(2,2,1);
    plot( iterV, [hT, hAvg1, hAvgT] );
    title('hT, hAvg(1), hAvg(T)')

    subplot(2,2,2);
    plot( iterV, [B1, BT]);
    title('B1, BT')

    subplot(2,2,3);
    plot( iterV, [c1, Tr] );
    title('c1, Tr');

    subplot(2,2,4);
    plot( iterV, [Lambda,VPrime] );
    title('Lambda, VPrime');

    pause;

    subplot(2,2,1);
    plot( iterV, [w,r] );
    title('w, r')

end

if case == 2;
    subplot(2,2,1);
    plot( iterV, X(:,1:3) );
    title('dist, Kdist, polDist')

    subplot(2,2,2);
    plot( iterV, [hT, hAvg1, hAvgT] );
    title('hT, hAvg(1), hAvg(T)')

    subplot(2,2,3);
    plot( iterV, [c1, Tr] );
    title('c1, Tr');

    subplot(2,2,4);
    plot( iterV, [w,r] );
    title('w, r')

end

    pause;
    if DoPrint == 1
        print -dwin;
    end
    close;


% *** end function ***
