function [bdate1,bdate2,popul] = demogr(t,T,T1, iniPop,popGrowth)
% Demography facts for a given date
% ---------------------------------------
% IN:
%   t               today's date
%   iniPop          cohort size at DATE 1
%   popGrowth       1 + pop. growth
% OUT:
%   bdate1,bdate2   b'dates range of agents alive at t
%   popul           vector of population sizes by b'date

%
% AUTHOR: Lutz Hendricks, 1993
% ---------------------------------------

    bdate1 = t+1-T;
    bdate2 = t;
    
    pop1 = iniPop * popGrowth^(bdate1-1);
    popul = seqm(pop1, popGrowth, T);


% *** end function ***
