function hhshow(c,x,a,h,l,v, B1,BT,tBequ,taxb0, w,Ri,T1, ax,hx)
% Show solution to hh problem
% ---------------------------------------
% IN:
%   Ri = cumprod(1+r)

% AUTHOR: Lutz Hendricks, 1994
% ---------------------------------------

% *** CONSTANTS ***

    global bequ tb bb
    T = length(c);
    age1 = length(ax) + 1;
    disp('--- Household solution ---')
    

    % **********  INVESTMENT IN h1  **************
    if age1 > 2
        disp('  Age      --      --    -ax-    -hx-')
        for t = 1 : age1-1
            tmp = sprintf('%5i                 %7.3f %7.3f',t ,ax(t), hx(t));
            disp(tmp)
        end
    end
    
    
    % **********  PROFILES AFTER iniAge  **********
    
    wt = 1 - l - v;
    disp('  Age     -c-     -x-     -a-     -h-     -l-     -v-    -wt-')
    for t = 1 : T
        tmp = sprintf('%5i %7.3f %7.3f %7.3f %7.3f %7.3f %7.3f %7.3f',...
            t, c(t), x(t), a(t), h(t), l(t), v(t), wt(t));
        disp(tmp)
        if t == T1  |  t == tBequ
            disp(' ')
        end
    end
    
    
    if B1 > 0  |  BT > 0
        % ** Present value gain from bequest
        PVGain = B1/Ri(tb-1) - BT*(1+taxb0)/Ri(T);
        disp(' ');
        tmp = sprintf('B1: %5.2f    BT: %5.2f    PvGain: %5.2f', ...
            B1, BT, PVGain);
        disp(tmp);
    end

    % ** Present values
    % discounted at rate beta (not r)
    %bbi = seqm(bb, bb, T);
    % consumption
    pvC = sum(c ./ Ri);
    % leisure
    pvLeisure = sum(w.*h.*l ./ Ri);
    % full lifetime resources
    LifeResrc = pvC + pvLeisure;    %sum(w.*h ./ Ri) + a(1);
    tmp = sprintf('pvC: %5.2f   pvLeisure: %5.2f   LifeResrc: %5.2f', ...
        pvC, pvLeisure, LifeResrc);
    disp(tmp)    

% *** end function ***
