function hhstore
% Show path of several variables over iterations of hhprob
% Mainly a debugging device.
% ---------------------------------------

% AUTHOR: Lutz Hendricks, 1993
% ---------------------------------------

% *** GLOBALS ***

    VARCOUNT = 12;

% **********  LOAD  ********************
    X = load2('c:\matlab\hhtmp');
    N = rows(X);
    if cols(X) ~= VARCOUNT
        abort('Invalid no. of columns')
    end

    dist        = X(:,1);
    c1          = X(:,2);
    l1          = X(:,3);

    x1 = X(:,4);
    v1 = X(:,5);

    mu1 = X(:,6);
    phi1 = X(:,7);

    GDist   = X(:,8);
    hT      = X(:,9);
    muDist  = X(:,10);
    phiDist = X(:,11);
    muT     = X(:,12);


% *********  GRAPH  *********************

    DoPrint = askyn('Print graph? ');

    iterV = 1:N;

    subplot(2,2,1);
    plot( iterV(10:N), dist(10:N) );
    title('dist')

    subplot(2,2,2);
    plot( iterV(10:N), GDist(10:N) );
    title('GDist')

    subplot(2,2,3);
    plot( iterV(10:N), phiDist(10:N) );
    title('phiDist, muDist')

    subplot(2,2,4);
    plot( iterV(10:N), muDist(10:N) );
    title('muDist')

    pause;
    close;


    subplot(2,2,1);
    plot( iterV, [c1, x1] );
    title('c1, x1')

    subplot(2,2,2);
    plot( iterV, [l1, v1] );
    title('l1, v1');

    subplot(2,2,3);
    plot( iterV, [mu1, phi1, muT] );
    title('mu1, phi1')

    subplot(2,2,4);
    plot( iterV, hT );
    title('hT')

    pause;
    if DoPrint == 1
        print -dwin;
    end
    close;



% *** end function ***
