function [lbase, obase] = ltaxhh(popul,h,wt,MPL,x,xEarn,xDeduct,T1,T);
% Contribution of generation to labor and old age tax bases
% ---------------------------------------------------------
% IN:
%   popul   = cohort size
%   h,wt,x  = cohort behavior; 1xT
%   MPL     = MPL over life time; 1xT
%   xEarn,xDeduct,T1    = policy parameters
% OUT:
%   contribution to ss tax bases of tw and to; 1xT
% REM:
% - identical to sstxbase()
% ---------------------------------------------------------

    dbg = 1;

    if dbg > 0
        if length(popul) ~= 1
            abort('popul must be scalar')
        end
    end

    lbase = popul .* (MPL.*wt.*h - x.*(xEarn + (1-xEarn).*xDeduct));
    if T1 > 0
        obase = [ zeros(1,T1), lbase(T1+1:T) ];
    else
        obase = lbase;
    end
    
% *** end function ***    
